body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Arial', 'Lucinda Grande' 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  font-family: 'Mukta Mahee', 'Lucinda Grande', 'Arial';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
}

* {
  margin: 0;
  padding: 0;
}
div {
  display: block
}

label, input, textarea {
  font-size: 1em;
  font-family: 'Mukta Mahee', 'Lucinda Grande' 'Arial';
}

/* NAVBAR */
.navbar {
  list-style-type: none;
  display: flex;
  align-items: center;
  height: 7vh;
  background-color: black;
}
.navbar a {
  color: white;
  font-weight: bold;
  text-decoration: none;
  padding: 0 15px;
}
.navbar-right {
  display: inline-flex;
  margin-left: auto;
}
.loggedIn {
  display: flex;
}
.logout {
  color: white;
  font-weight: bold;
  cursor: pointer;
  padding: 0 15px;
}

/* TITLES */
.title {
  padding: 25px;
  text-align: center;
  font-family: 'Goldie Rainbow', 'Lucinda Grande', 'Arial';
  font-size: 9em;
  color: coral;
}
.section-title {
  padding: 25px;
  text-align: center;
  font-family: 'Goldie Rainbow', 'Lucinda Grande', 'Arial';
  font-size: 7em;
  color: darkorange;
}

/* BUTTONS */
button {
  background-color: lightcoral;
  color: whitesmoke;
  font-size: 1em;
  font-weight: bold;
  font-family: 'Mukta Mahee', 'Lucinda Grande', 'Arial';
}
.about-button {
  padding: 5px 25px;
  margin: 50px;
}
.add-item-button {
  width: 15%; 
	height: 6vh;
	margin: 10px 0px;
}
.delete-product-button {
  width: 2em; 
  height: 2em;
  margin: 10px;
}
.account-button {
  width: 25%; 
	height: 6vh;
	margin: 10px;
}

/* HEADER */
.header {
  background-image: linear-gradient(rgba(252, 249, 249, 0.3), rgba(253, 251, 251, 0.3)), url(./Images/MainCupcakes.jpg);
  background-size: cover;
  background-position: center;
  width: 100%;
  min-height: 100vh;
  position: relative
}

/* ABOUT */
.about {
  background-image: linear-gradient(rgba(252, 249, 249, 0.8), rgba(253, 251, 251, 0.8)), url(./Images/Swirls.png);
  background-size: cover;
  background-position: bottom left;
  min-height: 100vh;
  position: relative
}
.about-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  grid-gap: 1.5em;
  justify-content: space-between;
  align-items: center;
  margin: 0px 50px;
}
.about-picture {
  width: 100%;
  height: auto;
  border-radius: 8px;
  border: 3px solid pink;
}
.about-text {
  text-align: justify;
  text-justify: inter-word;
  color: gray;
}
.about-text p {
  display: block;
}

/* PRODUCT LIST */
.product-list {
  background-image: linear-gradient(rgba(252, 249, 249, 0.8), rgba(253, 251, 251, 0.8)), url(./Images/Swirly.png);
  background-size: contain;
  width: 100%;
  min-height: auto;
}

/* SINGLE PRODUCT */
.product {
  background-image: linear-gradient(rgba(252, 249, 249, 0.8), rgba(253, 251, 251, 0.8)), url(./Images/Swirls.png);
  background-size: cover;
  background-position: bottom left;
  min-height: 100vh;
}
.product-container {
  display: grid;
  grid-template-rows: auto;
  padding: 0px 50px 50px;
}
.product-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  justify-content: center;
  align-items: center;
}
.product-picture {
  width: 50%;
  height: auto;
  border-radius: 8px;
  margin: 0px auto;
  border: 5px solid pink;
}
.product-miniColumn {
  display: flex;
  flex-direction: column;
  text-align: left;
  margin-right: 30px;
}
.product-text {
  color: darkred;
  padding: 20px 0px;
  border-bottom: 1px solid orange;
}
.product-price {
  color: darkred;
  margin: 20px 0px 10px;
}
.delete-product {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 25px 161px;
}
.delete-product-text {
  color: rgb(231, 126, 91);
}
.add-item-text {
  color: darkorange;
}
.add-item-login {
  color: rgb(250, 109, 93);
  margin: 0px 5px;
}

/* REGISTER, LOGIN */
.register {
  background-image: linear-gradient(rgba(252, 249, 249, 0.8), rgba(253, 251, 251, 0.8)), url(./Images/Swirls2.png);
  background-size: cover;
  background-position: bottom right;
  width: 100%;
  min-height: 100vh;
}
.login {
  background-image: linear-gradient(rgba(252, 249, 249, 0.8), rgba(253, 251, 251, 0.8)), url(./Images/Swirls2.png);
  background-size: cover;
  background-position: bottom right;
  width: 100%;
  min-height: 100vh;
}
.login-new-user {
  color: darkred;
  padding: 0px 5px 25px;
  text-align: center;
}
.form-container {
    padding: 0px 50px 50px;
}
.account-form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 35%;
  align-items: center;
  border: 1px solid gray;
  border-radius: 5px;
  padding: 25px;
  margin: 0px auto;
}
.account-form-input {
  border: 1px solid grey;
  width: 90%;
  height: 6vh;
  padding-left: 0.5em;
  display: block;
  margin-bottom: 20px;
}
.submit {
  padding: 8px 20px;
}
.message {
  font-size: 1.5em;
  color: darkred;
}

/* ACCOUNT, ADD/UPDATE/DELETE PRODUCT */
.account {
  background-image: linear-gradient(rgba(252, 249, 249, 0.9), rgba(253, 251, 251, 0.9)), url(./Images/Swirly.png);
  background-size: cover;
  width: 100%;
  min-height: 100vh;
}
.account-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
	margin: 50px 150px;
}
.account-text {
  text-align: center;
	color: darkred;
}
.account-box {
  display: flex;
  flex: 1 1 0;
  flex-direction: column;
  text-align: center;
	align-items: center;
	padding: 10px;
	color: darkRed;
	border: 1px solid orange;
}
.add, .update, .delete {
  background-image: linear-gradient(rgba(252, 249, 249, 0.8), rgba(253, 251, 251, 0.8)), url(./Images/Swirls2.png);
  background-size: cover;
  background-position: bottom right;
  width: 100%;
  min-height: 100vh;
}
.product-form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 35%;
  align-items: left;
  border: 1px solid gray;
  border-radius: 5px;
  padding: 25px;
  margin: 0px auto;
}
.product-form-input {
  border: 1px solid grey;
  width: auto;
  height: 6vh;
  padding-left: 0.5em;
  display: block;
  margin-bottom: 20px;
}
.product-form-input-2 {
  border: 1px solid grey;
  width: 50%;
  height: 6vh;
  padding-left: 0.5em;
  display: block;
  margin-bottom: 20px;
}
.product-submit {
  width: 25%; 
  height: 6vh;
}

/* CART */
.cart {
  background-image: linear-gradient(rgba(252, 249, 249, 0.8), rgba(253, 251, 251, 0.8)), url(./Images/Swirls.png);
  background-size: contain;
  background-position: bottom left;
  background-repeat: no-repeat;
  width: 100%;
  min-height: 100vh;
}

/* CHECKOUT */
.checkout-section {
  text-align: center;
  background-image: linear-gradient(rgba(252, 249, 249, 0.9), rgba(253, 251, 251, 0.9)), url(./Images/Swirly.png);
  background-size: cover;
  width: 100%;
  height: auto;
}
.checkout-form {
  width: 30%;
  border: 1px solid lightgray;
  border-radius: 10px;
  padding: 45px;
  margin: 0px auto;
  align-items: center;
  background-color: white;
}
.form-row {
  display: flex;
  justify-content: space-around;
  color: darkred;
}
.form-input {
  display: block;
  margin: 10px 10px 20px;
  min-width: 200px;
  padding: 5px;
  border: 0;
  outline: 1px solid lightgray;
  border-radius: 4px;
  background: white;
  font-size: 1em;
}
.StripeElement {
  display: block;
  margin: 10px 10px 20px;
  min-width: 200px;
  padding: 11px 0px 11px 5px;
  border: 0;
  outline: 1px solid lightgray;
  border-radius: 4px;
  background: white;
  font-size: 1em;
}
.checkout button {
  display: block;
  margin: 0px auto;
  width: 50%;
  height: 37px;
  background-color: lightcoral;
  border-radius: 2px;
  font-weight: bold;
  color: #fff;
  cursor: pointer;
}
.error {
  color: #c23d4b;
  margin: 5px 0px;
}
.message {
  margin-top: 1.5em;
  margin-bottom: 0.5em;
}

/* CONTACT */
.contact {
  text-align: center;
  background-image: linear-gradient(rgba(252, 249, 249, 0.9), rgba(253, 251, 251, 0.9)), url(./Images/Swirly.png);
  background-size: cover;
  width: 100%;
  height: 100vh;
}
.contact-form-input {
  border: 1px solid grey;
	width: 50%;
  height: 6vh;
	padding-left: 0.5em;
	display: block;
	margin: 0 auto;
  margin-bottom: 1em;
}

/* FOOTER */
.footer {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  background-color: black;
  font-weight: bold;
  height: 7vh;
  position: relative;
  bottom: 0;
  width: 100%;
}
.footer p {
  color: white;
  padding: 0px 5px;
}
.footer a {
  color: white;
}
/*.footer a:visited {
  color: white;
}*/

@media all and (max-width: 1024px) {
  .product-picture {
    width: 70%;
    height: auto;
  }
  form.account-form {
    width: 85%;
  }
}

@media all and (max-width: 768px) {
  .product-picture {
    width: 70%;
    height: auto;
  }
  form.account-form {
    width: 85%;
  }
}
@media all and (max-width: 400px){
  .section-title {
    padding: 25px;
    font-size: 5em;
  }
  .product-picture {
    width: 90%;
    height: auto;
  }
  div.product {
    background-position: center;
  }
  div.product-container {
    display: grid;
    grid-template-rows: auto;
    padding: 0px 10px 10px;
  }
  div.product-miniColumn {
    text-align: center;
  }
}